hwloc_disc_status(3)

NAME
hwloc_disc_status

SYNOPSIS

#include <plugins.h>

  Data Fields
hwloc_disc_phase_t phase
unsigned excluded_phases
unsigned long flags

Detailed Description

Discovery status structure. Used by the core and backends to inform about what has been/is being done during the discovery process.

Field Documentation

  unsigned hwloc_disc_status::excluded_phases

Dynamically excluded phases. If a component decides during discovery that some phases are no longer needed.

  unsigned long hwloc_disc_status::flags

OR'ed set of hwloc_disc_status_flag_e.

  hwloc_disc_phase_t hwloc_disc_status::phase

The current discovery phase that is performed. Must match one of the phases in the component phases field.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.